program fonttest;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, Unit1
  { you can add units after this }, SysUtils, fontconfig, libfontconfig;

{$R *.res}

var
  fc: PFcConfig;
begin
  LoadFontConfigLib('libfontconfig.so.1');

  RequireDerivedFormResource := True;
  Application.Scaled := True;
  Application.Initialize;

  if (ParamStr(1) = '--add-font') and FileExists(ParamStr(2)) then begin
    fc := FcConfigGetCurrent();
    if Assigned(fc) then begin
      if FcConfigAppFontAddFile(fc, PChar(ParamStr(2))) <> 0 then
        Writeln('Failed to add font')
      else
        Writeln('Font added');
    end else
      Writeln('No configuration');
  end;

  Application.CreateForm(TForm1, Form1);
  Application.Run;
end.

